<bugID>1252818<Summary>Expose fetch to the worker debugger</Summary><Description>The worker debugger needs a way to fetch URLs, but at the moment doesn't have an API available for this. To work around this, we use a rpc mechanism to request the main thread to fetch the URL on our behalf.

As it turns out, the fetch API is available in workers, and provides exactly the same functionality, so we should use that instead of duplicating it on the JS side.

The only thing that was preventing us from using it in the worker debugger was that DOM promises did not work together well with nested event loops, but this looks like it will be fixed soon: https://bugzilla.mozilla.org/show_bug.cgi?id=1229769</Description></bugID>